Announcement

Collapse
No announcement yet.

macOS, Metal and Xcode message

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    macOS, Metal and Xcode message

    I am getting this message on a new install of macOS. I just installed Xcode and my hardware can run Metal:

    "Xcode installed on this Mac is too old to be used for Metal shader compilation. Falling back to runtime text shaders, which are slower. Please update to the latest version of Xcode for the best performance."

    I am running UE4.16 on macOS 10.12.5. Xcode is latest too 8.3.3

    Is the message I am getting correct how do I resolve this?

    #2
    its Wirth checking that you have the correct Xcode set as default and that its fully set up. Have you run it once yet?

    When you run it the 1st time it installs some extra components etc.

    If you have run Xcode, got to preferences and then 'Locations', and make sure the Command Line Tools: is pointing at Xcode.

    If that's not enough it may be once of those annoying things where 8.3.3 is too NEW as it only came out this morning.

    Comment


      #3
      Thanks!

      Yeah I just got this new machine and did a fresh install of everything, wondered if it might be 8.3.3
      Opened Xcode to confirm TOC. I also installed homebrew, so I know Xcode CLI is working.

      Got it , I'll try your Locations suggestion.

      Comment


        #4
        That did it boss, thanks [MENTION=877]Anadin[/MENTION] !

        Weird that Xcode does not do this by default.

        Hard to believe that both Epic and Apple are promoting Metal 2, but there is no good tutorial on how to get Metal 1 working.

        Comment


          #5
          I had the same problem and the "command line tools" trick worked for me too. Thanks [MENTION=877]Anadin[/MENTION] !

          Originally posted by sdrb View Post
          Weird that Xcode does not do this by default.
          Also a bit weird to me that the unreal message isn't clear about this because theres no way I would have figured this out on my own. I guess thats what this forum of tribal knowledge is for.

          Comment


            #6
            It's a frustrating experience for sure.

            Comment


              #7
              i have the same problem, but the location is right. it's so frustrating, anyone can help?

              Comment


                #8
                have you run that version of Xcode (the one on your downloads folder) - it should have prompted you to install some stuff.

                Comment


                  #9
                  Hey guys. Just wanted to drop in and say that installing homebrew can cause this. There is an explanation and a command you can run to fix it here:

                  https://answers.unrealengine.com/que...-too-ol-1.html

                  Comment

                  Working...
                  X